function S=gitinfo()
% FUNCTION fc_graphics4mesh.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2020 F. Cuvelier
%
  S=struct('name','fc-graphics4mesh', 'tag','0.1.0','commit','e89efbfb480710f5e5b6c7401fc79fce1706fc24','date', '2020-01-29','time','14-26-49','status',0);return; % automatically updated
  rep=fc_graphics4mesh.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-graphics4mesh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
